View Issue Details

IDProjectCategoryView StatusLast Update
0011733LazarusWidgetsetpublic2013-09-03 12:07
Reporterjaekoo Assigned ToFelipe Monteiro de Carvalho  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Fixed in Version0.9.27 (SVN) 
Summary0011733: wince interface can't handling non us keyboard input
Descriptioni'm using lazarus 0.95(20080713 windows version).
us character keyboard input is no problem.
but known as cjk(chinease,japan,korean) language keyboard input charater
is corrupted as soon as cursor pos changed.
but string written by coding is ok.
as shown in below screen shot, only keyboard input is troblesome.
TagsNo tags attached.
Fixed in Revision
LazTarget1.4
WidgetsetWinCE
Attached Files

Relationships

related to 0012967 closedFelipe Monteiro de Carvalho Patches [Patch] In WinCE not enter Russian char 

Activities

2008-07-23 16:16

 

ceEmul.jpg (44,880 bytes)   
ceEmul.jpg (44,880 bytes)   

Felipe Monteiro de Carvalho

2008-07-28 04:59

developer   ~0020981

Please suggest how I could test this with a portuguese Windows using a brazilian ABNT-2 keyboard.

You could also test the following: Rebuild the LCL in the wince widgetset but for win32 operating system and i386 architecture. Yes, the wince interface runs in desktop windows too, for testing. And see if the bug is present.

Is the problem also present in real devices.

thanks,

Felipe Monteiro de Carvalho

2008-08-14 04:35

developer   ~0021313

Feedback reminder.

Felipe Monteiro de Carvalho

2009-01-14 11:02

developer   ~0024430

Fixed by the patch in the related issue

Issue History

Date Modified Username Field Change
2008-07-23 16:16 jaekoo New Issue
2008-07-23 16:16 jaekoo File Added: ceEmul.jpg
2008-07-23 16:16 jaekoo Widgetset => WinCE
2008-07-23 18:57 Vincent Snijders LazTarget => post 1.2
2008-07-23 18:57 Vincent Snijders Assigned To => Felipe Monteiro de Carvalho
2008-07-23 18:57 Vincent Snijders Status new => assigned
2008-07-28 04:59 Felipe Monteiro de Carvalho Note Added: 0020981
2008-07-28 04:59 Felipe Monteiro de Carvalho Status assigned => feedback
2008-08-14 04:35 Felipe Monteiro de Carvalho Note Added: 0021313
2009-01-12 13:40 Felipe Monteiro de Carvalho Relationship added related to 0012967
2009-01-14 11:02 Felipe Monteiro de Carvalho Status feedback => resolved
2009-01-14 11:02 Felipe Monteiro de Carvalho Fixed in Version => 0.9.27 (SVN)
2009-01-14 11:02 Felipe Monteiro de Carvalho Resolution open => fixed
2009-01-14 11:02 Felipe Monteiro de Carvalho Note Added: 0024430
2009-06-13 12:09 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4